package com.community.huiju.dao;

import com.community.huiju.model.ToSysMenu;
import com.community.huiju.model.ToSysRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ToSysRoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ToSysRole record);

    int insertSelective(ToSysRole record);

    ToSysRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ToSysRole record);

    int updateByPrimaryKey(ToSysRole record);

    /**
     * 根据用户ID查询所有角色
     * @param userId
     * @return
     */
    List<ToSysRole> selectRoleByUserId(Integer userId);

    /**
     * 查询所有的角色
     *
     *  排除的 admin 这个角色
     *
     * @return
     */
    List<ToSysRole> selectAll(@Param("roleName") String roleName);

    /**
     * 根据 角色名称 查询
     * @param roleName
     * @return
     */
    ToSysRole selectByRoleName(@Param("roleName") String roleName);


    /**
     * 批量删除
     *
     *  只是把 status 改为 0 无效
     *
     * @return
     */
    int banchDeleteRole(List<Integer> list);

}